Install 4.1.5 on Ubuntu 16.04 with MySQL

Everything which is related to the installation of phpLogCon.

Google Ads


Install 4.1.5 on Ubuntu 16.04 with MySQL

Postby WildcatLeeds » Thu Jun 22, 2017 2:06 pm

Hi all,

I've been running into problems the past few days and I've exhausted most of the information that I could find on the Internet. Ubuntu 16.04 LTS, Loganalyzer 4.1.5 (I've used the tar and a deb package with same results), MySQL 5.7, PhP 7.0, Apache 2.4

I'm not sure what I'm doing wrong but I keep getting the following message when I get to the database setup portion of install.php:

[Thu Jun 22 13:49:37.588072 2017] [:error] [pid 31715] [client xxx.xxx.xxx.xxx:19619] PHP Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /usr/share/loganalyzer/install.php:377\nStack trace:\n#0 {main}\n thrown in /usr/share/loganalyzer/install.php on line 377, referer: http://<servername>/loganalyzer/install.php?step=3

This is in my apache2 error log after I click on next after ticking the radio button for enabling the User DB.

I have tried 'phpenmod pdo_mysql' and I've uncommented the extension in /etc/php/7.0/apache2/php.ini. I did install php7.0-mysql and php7.0-common.

Can someone please guide me in the right direction?

Thanks much
WildcatLeeds
New
 
Posts: 1
Joined: Thu Jun 22, 2017 1:54 pm

Urgent Question?

  • Pulling out your Hair?
  • Wasting Time and Money?
  • Deadline Approaching?

Google Ads


Return to Installation

Who is online

Users browsing this forum: No registered users and 1 guest

cron